Package jaxe

# Class JaxeTextPane.MyCaretListener

java.lang.Object
jaxe.JaxeTextPane.MyCaretListener

All Implemented Interfaces:
  `EventListener`, `CaretListener`

Enclosing class:
  `JaxeTextPane`

protected class JaxeTextPane.MyCaretListener extends Object implements CaretListener

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`MyCaretListener()`

## Method Summary

Modifier and Type
Method
Description
`void`
`caretUpdate(CaretEvent e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MyCaretListener

protected MyCaretListener()

## Method Details

### caretUpdate

public void caretUpdate(CaretEvent e)

Specified by:
  `caretUpdate` in interface `CaretListener`